質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.76%

Railsの環境構築でつまずいております。

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 345

norio0126

score 1

前提・実現したいこと

Railsの環境構築で ローカルでRailsサーバを立てる
ブラウザでアクセスしたいです。
RailsのYay!You’re on Rails!の画面が立つ状態にしたいです。 

発生している問題・エラーメッセージ

どなたかご存じの方いらっしゃいましたらご教授お願い致します!
現在Progateを参考にRuby on Railsの環境構築をしているのですが下記図が出てきてうまくいきません。(windows10です)
Railsアプリケーションの作成で
コマンドに「rails new sample_app」と入れると「sample_app」というフォルダはできているのですが
コマンドに下記メッセージが出てきます。さっぱりお手上げ状態です....

Could not find gem 'sqlite3 (~> 1.4) x64-mingw32' in any of the gem sources listed in your Gemfile.
Run bundle install to install missing gems.

gemやbundle何かもわからず、sqlite3 (~> 1.4) x64-mingw32に何をすればよいかわかりません。
お手数をおかけしますが、どこが悪かったかご教授頂けますと幸いです。

該当のソースコード

ソースコード
To see why this extension failed to compile, please check the mkmf.log which can
be found here:

C:/Ruby26-x64/lib/ruby/gems/2.6.0/extensions/x64-mingw32/2.6.0/sqlite3-1.4.2/mkmf.log

extconf failed, exit code 1

Gem files will remain installed in
C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/sqlite3-1.4.2 for inspection.
Results logged to
C:/Ruby26-x64/lib/ruby/gems/2.6.0/extensions/x64-mingw32/2.6.0/sqlite3-1.4.2/gem_make.out

An error occurred while installing sqlite3 (1.4.2), and Bundler cannot continue.
Make sure that `gem install sqlite3 -v '1.4.2' --source 'https://rubygems.org/'`
succeeds before bundling.

In Gemfile:
  sqlite3
         run  bundle binstubs bundler
Could not find gem 'sqlite3 (~> 1.4) x64-mingw32' in any of the gem sources
listed in your Gemfile.
       rails  webpacker:install
Could not find gem 'sqlite3 (~> 1.4) x64-mingw32' in any of the gem sources listed in your Gemfile.
Run `bundle install` to install missing gems.

補足情報(FW/ツールのバージョンなど)

Windows10
①Ruby 2.6.6p146 (2020-03-31 revision 67876) [x64-mingw32] インストール
②SQlite3のサイトから、「sqlite3.dll」と「sqlite3.exe」をC:\Ruby26-x64のbinにコピー
③Rails 6.0.3.1インストール
④Railsアプリケーションの作成 ←現在ここです
⑤ローカルでRailsサーバを立てる

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

いろいろな原因が考えられるのですが、
とりあえず、sqlite3.exeとsqlite3.dllへのPATHは通っていますか?
whereコマンドで見つかることを確認してください。

D:¥> where sqlite3.exe
D:¥apl¥sqlite3¥sqlite3.exe

D:¥> where sqlite3.dll
D:¥apl¥sqlite3¥sqlite3.dll

それから、yarnを入れていないのなら、インストールしてください。
D:¥> yarn -v
1.22.4

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2020/05/22 06:50

    ご回答いただきまして本当にありがとうございます。
    そうゆうことなのですね、承知いたしました。
    yarnはインストールしたのですが、まだうまくいきませんでした。
    何かほかにやるべきことはございますでしょうか?

    キャンセル

  • 2020/05/22 16:53 編集

    Windows10Proでrailsアプリを構築してみましたが、
    問題なく動作しました。
    railsアプリの構築手順を見直してみてください。

    C:\Users\xxx\app>ruby -v
    ruby 2.6.6p146 (2020-03-31 revision 67876) [x64-mingw32]

    C:\Users\xxx\app>rails -v
    Rails 6.0.3.1

    キャンセル

  • 2020/05/25 15:20

    ご連絡が遅くなてしまいまして大変申し訳ございません。
    環境構築見直してみます。
    ご回答きただきまして誠にありがとうございました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.76%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る